Skip to main content
POST

JSON Ledger API

Parties external allocate

OpenAPISince 3.4Changed 3.5
The external party must be hosted (at least) on this node with either confirmation or observation permissions It can optionally be hosted on other nodes (then called a multi-hosted party). If hosted on additional nodes, explicit authorization of the hosting relationship must be performed on those nodes before the party can be used. Decentralized namespaces are supported but must be provided fully authorized by their owners.

Protocol Details

Operation IDpostV2PartiesExternalAllocate
AuthenticationBearer token
Published3.5

Inputs

Request body

application/json
string
required
Synchronizer ID on which to onboard the party Required
object[]
required
OpenAPI type: SignedTransaction[].TopologyTransactions to onboard the external party Can contain: - A namespace for the party. This can be either a single NamespaceDelegation, or DecentralizedNamespaceDefinition along with its authorized namespace owners in the form of NamespaceDelegations. May be provided, if so it must be fully authorized by the signatures in this request combined with the existing topology state. - A PartyToParticipant to register the hosting relationship of the party, and the party’s signing keys and threshold. Must be provided. Required: must be non-empty
object[]
OpenAPI type: Signature[].Optional signatures of the combined hash of all onboarding_transactions This may be used instead of providing signatures on each individual transaction Optional: can be empty
string
The id of the Identity Provider If not set, assume the party is managed by the default identity provider. Optional
boolean
When true, this RPC will attempt to wait for the party to be allocated on the synchronizer before returning. When false, the allocation will happen asynchronously. This is a best effort only as this synchronization is only possible for non decentralized parties (single hosting node). For decentralized parties, this flag is ignored. Defaults to true. Optional
string
The user who will get the act_as rights to the newly allocated party. If set to an empty string (the default), no user will get rights to the party. Optional

Outputs

200

application/json
string
required
The allocated party id Required

400

text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Changed3.5

The POST /v2/parties/external/allocate operation changed in this snapshot.

Introduced3.4